
parameters:
    medias_directory: '%kernel.project_dir%/public/medias'
    DATABASE_PILOTAGE_HOST: '%env(resolve:DATABASE_PILOTAGE_HOST)%'
    DATABASE_PILOTAGE_DB_NAME: '%env(resolve:DATABASE_PILOTAGE_DB_NAME)%'
    DATABASE_PILOTAGE_USER: '%env(resolve:DATABASE_PILOTAGE_USER)%'
    DATABASE_PILOTAGE_PASSWORD: '%env(resolve:DATABASE_PILOTAGE_PASSWORD)%'

services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/'
        exclude:
            - '../src/DependencyInjection/'
            - '../src/Entity/'
            - '../src/Kernel.php'
            # Remove the empty line below this comment to fix the error

    App\EventListener\ApiRequestListener:
        tags:
            - { name: kernel.event_listener, event: kernel.request, method: onKernelRequest }
